in
Prev | Orchestra Opcodes and Operators | Next

## in

in — Reads mono audio data from an external device or stream.

## Description

Reads mono audio data from an external device or stream.

| Warning
This opcode is designed to be used only with orchestras that have nchnls=1. Doing so with orchestras with nchnls > 1 will cause incorrect audio input.

## Syntax

    ar1 in

## Performance

Reads mono audio data from an external device or stream. If the command-line -i flag is set, sound is read continuously from the audio input stream (e.g. stdin or a soundfile) into an internal buffer. Any number of these opcodes can read freely from this buffer.

## See Also

diskin, inh, inh, ino, inq, ins, soundin

## Credits

Authors: Barry L. Vercoe, Matt Ingalls/Mike Berry
MIT, Mills College
1993-1997

Already in version 3.30

Prev | Up | Next
imidic7 | Home | in32